VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ParamPoint Class Reference
Test Class: Interface for unit testing

AutomationTest helper classes. More...

`#include <testbase.h>`

## Public Member Functions
| ParamPoint ()
void | set (int32 _offsetSamples, double _value)
void | get (int32 &_offsetSamples, double &_value)
bool | wasRead () const

## Detailed Description

AutomationTest helper classes.

## Constructor & Destructor Documentation

## ◆ ParamPoint()

ParamPoint | ( |  | ) |
| inline

## Member Function Documentation

## ◆ set()

void set | ( | int32 | _offsetSamples,
|  | double | _value )
| inline

## ◆ get()

void get | ( | int32 & | _offsetSamples,
|  | double & | _value )
| inline

## ◆ wasRead()

bool wasRead | ( |  | ) | const
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.